apiVersion: helm.cattle.io/v1
kind: HelmChartConfig
metadata:
  name: rke2-coredns
  namespace: kube-system
spec:
  valuesContent:  |-
{% if kubernetes_rke2_local_dns %}
    nodelocal:
      enabled: true
{% endif %}
{% if kubernetes_rke2_upstream_dns | length >= 1 %}
    servers:
    - zones:
      - zone: .
      port: 53
      plugins:
      - name: errors
      # Serves a /health endpoint on :8080, required for livenessProbe
      - name: health
        configBlock: |-
          lameduck 5s
      # Serves a /ready endpoint on :8181, required for readinessProbe
      - name: ready
      # Required to query kubernetes API for data
      - name: kubernetes
        parameters: cluster.local in-addr.arpa ip6.arpa
        configBlock: |-
          pods insecure
          fallthrough in-addr.arpa ip6.arpa
          ttl 30
      # Serves a /metrics endpoint on :9153, required for serviceMonitor
      - name: prometheus
        parameters: 0.0.0.0:9153
      - name: forward
        parameters: . {{ kubernetes_rke2_upstream_dns | join(' ') }}
      - name: cache
        parameters: 30
      - name: loop
      - name: reload
      - name: loadbalance
{% endif %}
